proxmox post install ovh soyoustart
===================================




# zfs

https://www.ma-solution.fr/ovh-soyoustart-cree-un-partition-zfs-sur-un-serveur-dedie/

```sh
systemctl stop pvestatd
systemctl stop pvedaemon
systemctl stop pve-cluster
systemctl stop corosync
systemctl stop pve-ha-crm
systemctl stop pve-ha-lrm
systemctl stop pveproxy
systemctl stop pve-manager
```

```sh
lsblk
umount /var/lib/vz
lsblk
```

```sh
lvdisplay
lvremove /dev/vg/data
```

```sh
cat /proc/mdstat
mdadm --misc --stop /dev/md5
# mdadm –-remove /dev/md5
# mdadm –-zero-superblock /dev/sda5
# mdadm –-zero-superblock /dev/sdb5

#vérifier la conf
vim /etc/mdadm/mdadm.conf
```
replace
ARRAY /dev/md/md5  metadata=1.2 UUID=461c077c:881eadad:8f65ec33:4ddc17e0 name=md5
by
ARRAY <ignore> UUID=461c077c:881eadad:8f65ec33:4ddc17e0
```
then run ```update-initramfs -u```

# enlever le point de montage automatique
vim /etc/fstab
```

```sh
zpool create -f -o ashift=12 rpool mirror /dev/sda5 /dev/sdb5
zfs set compression=lz4 rpool
zfs set atime=off rpool

systemctl enable zfs-import@rpool.service

zpool list
zpool status

# Organiser votre pool avec un sous volume ZFS
zfs create rpool/vz
zfs list

#re-définir le point de montage local par défaut pour Proxmox :
zfs set mountpoint=/var/lib/vz rpool/vz

#monter automatiquement les volumes ZFS :
zfs mount -a;

zfs get mounted,canmount,mountpoint rpool/vz
```

```sh
systemctl start pvestatd
systemctl start pvedaemon
systemctl start pve-cluster
systemctl start corosync
systemctl start pve-ha-crm
systemctl start pve-ha-lrm
systemctl start pveproxy
systemctl start pve-manager
```

# vzdump conf
```vim /etc/vzdump.conf```

```
# vzdump default settings

tmpdir: /var/lib/vz
#dumpdir: DIR
#storage: STORAGE_ID
#mode: snapshot|suspend|stop
#bwlimit: KBPS
#ionice: PRI
#lockwait: MINUTES
#stopwait: MINUTES
#stdexcludes: BOOLEAN
#mailto: ADDRESSLIST
#prune-backups: keep-INTERVAL=N[,...]
#script: FILENAME
#exclude-path: PATHLIST
#pigz: N
notes-template: {{guestname}}-{{node}}
```

# lxc setting

For version >= 6.5.x the simple approach is edit /etc/pve/nodes/ns316107/lxc/VMID.conf then enter this line:

```
lxc.prlimit.nofile: 150000
```

Then .. restart the CT.